/* ==================================== Navbar page section */
.list-top-bar .user-menu .dropdown-menu{
    margin-top: 10px;
    padding: 20px;
    width: 200px;
}
.list-top-bar .user-menu .user-footer{
    margin-top: 10px;
    width: 100%;
}
@media (max-width: 450px){
    .list-top-bar .user-menu .dropdown-menu{
        margin-left: -55px;
    }
    .list-top-bar .user-menu .user-menu-a{
        margin-left: 15px;
    }
    .middle-inner .logo img{
        width: 130px;
    }
}
.list-top-bar .user-menu .user-footer .btn-1{
    background: #333;
    color: #fff;
    padding: 5px 10px;
    margin-left: -15px;
}
.middle-inner .search-top .single-icon{
    margin-right: 40px;
}
.middle-inner .search-top .single-icon .total-count{
    color: #c79a05;
    font-size: .7em;
    position: absolute;
    top: -7px;
    left: -10px;
}
.messages-menu .dropdown-menu .carty li a,
.shopping .shopping-item .shopping-list li a{
    display: grid;
    grid-template-columns: 20% 20% 60%;
    min-width: 300px;
    padding: 0;
    border-bottom: 1px solid #d2d6de;
}
.messages-menu .dropdown-menu .carty li:hover{
    background: #fff !important;
}
.messages-menu .dropdown-menu .carty li a img,
.shopping .shopping-item .shopping-list li a img{
    height: 40px;
    width: 50px;
}
.messages-menu .dropdown-menu .carty li a h4,
.shopping .shopping-item .shopping-list li a h4{
    font-size: .8em;
    color: #333;
}
.messages-menu .dropdown-menu .carty li a p,
.shopping .shopping-item .shopping-list li a p{
    font-size: .7em;
}
.header-inner .tapstore-rep{
    display: grid; 
    justify-content: center;
    height: 100%; 
    background: #c79a05; 
}
@media (max-width: 769px){
    .header-inner .tapstore-rep{
        display: none;
    }
    .popular-slider{

    }
}

/* ================================Trending Category @ Index.php && on-sale/Top-seller/Ttop-viewed */
.shop-home-list{
    margin-top: -70px;
}
.shop-home-list .one-third{
    margin-bottom: 20px;
}
.list-index .single-list .list-image img{
    height: 150px;
}
.list-index .single-list .no-padding .content .title-list{
    font-size: 1em;
}
@media (max-width: 450px){
    .cat-index,
    .list-index{
        display: grid;
        grid-template-columns: 49% 49%;
    }
    .list-index .single-list .list-image img{
        height: 120px;
    }
    .list-index .single-list .no-padding .content{
        padding: 0;
    }
    .list-index .single-list .no-padding .content .title-list{
        font-size: .8em;
    }
    .list-index .single-list .no-padding .content p{
        font-size: .8em;
    }
}

/*======================================== Function single product */
.single-product{
    box-shadow: 0 0 13px 0 #33333310;
    margin-bottom: 10px;
    padding: 10px;
}
.single-product .product-img img{
    width:100%; 
    height:230px;
}
.single-product .product-content h3 a{
    font-size: .6em;
    font-weight: bold;
    color: #c79a05;
}
.single-product .product-content p {
    font-weight: lighter !important;
}
.single-product .product-content .cp{
    font-weight: bold !important;
    color: #000 !important;
    font-size: .9em !important;
}

.single-product .product-content .old{
    font-size: .9em !important;
}
    
@media (max-width: 769px){
    .single-product .product-img img{
        height: 130px;
    }
    .single-product .product-content h5{
        font-size: .9em;
    }
    .single-product .product-content .product-price span{
        font-size: .8em;
    }
}
/* Category.php && shop.php pages */
.category-sec{
    margin-bottom: 20px;
}
.category-sm{
    margin-bottom: 10px;
}

@media (max-width: 450px){
    .category-sec{
        display: grid;
        grid-template-columns: 49% 49%;
    }
}

/*======================================== Product.php page */
.product-page{
    margin-bottom: 40px;
    margin-top: 30px;
}

.product-page form{ 
    margin-top: 20px; 
} 
.product-page .form-control{
    width: 30px;
    border: none;
}
.product-page .add-cart{ 
    background: #333;
    color: #fff; 
    padding: 5px 20px;
    border-radius: 10px;
}
.product-page .button-media{
    display: flex;
    justify-content: center;
    border-radius: 10px;
    border-right: 2px solid #fff;
    padding: 8px 20px; 
    background: #333333;
    color: #fff;
    font-size: 1.5em;
}
.product-page .button:hover,
.product-page .add-cart:hover{
    background: #c79a05; 
}
.product-page .button-media:hover{
    background: #333;
    color: #fff;
}
.product-page .pcd h3{
    color: #c79a05; 
}

@media (max-width: 769px){
    .product-page .button{
        padding: 10px 15px;
    }
    .product-page .button-media{
        padding: 10px 15px;
        font-size: 1.2em;
    }
    .product-page .pcd h3{
        font-size: 1.2em;
    }
    .product-page .pcd p{
        font-size: .9em;
    }
}

@media (min-width: 450px){
    

.product-page form{  
    display: flex;
    justify-content: center;
} 
}

/*===================================== Sidebar.php page */
.sidebar-div{
    margin-bottom: 30px;
}
.sidebar-div .box-body{
    display: grid;
    grid-template-columns: 49% 49%;
}
.sidebar-div .product-div{
    padding: 10px;
}
.sidebar-div .product-div .img{
    width:100%; 
    height:100px;
}
.sidebar-div .box-body h6:hover{
    color: #c79a05; 
}

/* ======================================= Login.php page */
.login-grid{
    display: grid;
    justify-content: center;
}
.login-box{
    width: 85vw;
    padding: 20px;
    margin-top: 40px;
    margin-bottom: 40px;
    box-shadow: 3px 5px 16px 0px #42464678;
}
.login-box .login-box-body p{
    margin-top: 10px;
    margin-bottom: 10px;
}
.login-box .login-box-body .form-group input{
    margin-bottom: 20px;
}
.login-box .login-box-body .form-group input:focus{
    box-shadow: none;
    border-color: #c79a05; 
}
.login-box .login-box-body .col-xs-4{
    width: 100%;
    margin: 10px
}
.login-box .login-box-body .col-xs-4 .btn{
    width: 100%;
    background: #c79a05; 
    padding-top: 13px;
    padding-bottom: 13px;
}
.login-box .login-box-body a{
    color: #337ab7;
}
.login-box .login-box-body a:hover{
    color: #333;
}
@media (min-width: 450px){
    .login-box{
        width: 50vw
    }
}
@media (min-width: 769px){
    .login-box{
        width: 25vw
    }
    .login-box{
        margin-top: 70px;
        margin-bottom: 100px;
    }
}

/* ============ Cart-view/Cart-details pages ============= */
.cart-table{
    margin-bottom: 30px;
}
.cart-table h1{
    font-size: 1em;
    margin-top: 20px;
    margin-bottom: 20px;
}
.cart-table #tbody .tr-cart{
}
.cart-table #tbody .tr-cart td{
    font-size: .7em;
    line-height: 1.2;
    padding: 9px;
}
.cart-table #tbody .tr-cart img{
    width: 50px;
    height: 30px;
}
.cart-table #tbody .tr-cart .button{
    display: flex;
    justify-content: center;
    border-radius: 0;
    padding: 15px 5px;
    background: #e80610;
    color: #fff;
}
.cart-table #tbody .tr-cart .button-s{
    display: flex;
    justify-content: center;
    border-radius: 0;
    padding: 15px 5px;
    background: #333;
    color: #fff;
}
.cart-table #tbody .tr-cart .form-control{
    width: 20px;
    border: none;
}
.cart-table #tbody .cart-total{
    box-shadow: 3px 5px 15px 0 #333;
}
.cart-table #tbody .cart-total td{
    padding: 10px;
}
.cart-table #tbody .cart-total .ksh{
    font-size: .7em;
}
.cart-table .need-to{
    font-size: 1.3em;
    margin-top: 30px;
    margin-bottom: 40px;
}
.cart-table .need-to a{
    color: #f7914d;
}
.cart-table .need-to a:hover{
    color: #337ab7;
}

/* ---Payment buttons-- */
.pay-page{
    background: #e1e3e4;
    padding: 20px;
    min-height: 50vh;
}
.pay-page .total label,
.pay-page .total h2{
    width: 100%;
    text-align: center;
}
.pay-check label{
    font-size: 1.1em;
    font-style: italic;
    display: inline-block;
    cursor: pointer;
    color: #808080;
    text-align: center; 
    width: 100%;
    margin-top: 20px;
    margin-bottom: 20px;
}
.pay-check label span{
    background:#333;
    color:  #fff;
    padding: 10px 70px !important;
}
input#menu{
    display: none;
}
.pay-buttons{
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-areas: "a a"
    "b c";
    background: #e1e3e4;
    overflow: hidden;
    max-height: 0;
    box-shadow: 0px 0px 2px 0 #333;
}
.pay-buttons .pay-header{
    grid-area: a;
}
.pay-buttons h6{
    margin-bottom: 30px;
}
.pay-buttons .mpesa{
    grid-area: c;
}
.pay-buttons #paypal-button{
    grid-area: b;
}
.pay-check input:checked ~ label{
    margin-bottom: 20px;
}
.pay-check input:checked ~ label span{
    padding: 10px 30px !important;
    background:#c79a05;
    color: #333; 
    transition: 1s;
}
.pay-check input:checked ~ .pay-buttons{
    max-height: 100%;
    padding: 20px;
}
@media (min-width: 769px){
    .cart-table #tbody .tr-cart td{
        font-size: 1em;
        line-height: 1.8;
    }
    .cart-table #tbody .tr-cart .button{
        padding: 15px 20px;
    }
    .cart-table #tbody .tr-cart .button-s{
        padding: 15px 20px;
    }
    .cart-table .need-to{
        font-size: 2em;
        margin-top: 40px;
        margin-bottom: 40px;
    }
    .cart-table #tbody .cart-total .ksh{
        font-size: 1em;
    }
    .pay-check label span{
        padding: 10px 25px;
    }
}